import javafx.geometry.Pos;
import javafx.scene.paint.Color;
import javafx.scene.shape.Circle;
import javafx.stage.Stage;

public class Ball
{
    Circle circle = new Circle();
    double px, py;
    double vx, vy;
    double radius;
    double mass;
    Color color;
    Ball()
    {
	setColor(Color.rgb(255,0,0));
	set_position(50,50);	
	vx = 7;
	vy = 5;

	set_radius(17);
    }
    Ball(double x, double y, Color c)
    {
	setColor(c);
	set_position(x,y);
	set_radius(17);
    }

    Ball(double x, double y, double vx, double vy, Color c)
    {
	this.vx = vx;
	this.vy = vy;
	setColor(c);
	set_position(x,y);
	set_radius(17);
    }
    
    void set_position(double x, double y)
    {
	px = x;
	py = y;
 	circle.setCenterX(px);
	circle.setCenterY(py);
   }

    void setColor(Color c) {
	color = c;
	circle.setFill(color);
    }

    void set_radius(int r)
    {
	radius = r;
	mass = r*r;
	circle.setRadius(radius);
    }

    public String toString()
    {
	String str = "("+px+", "+py+") " + color;
	return str;
    }
    
    public void move()
    {
	set_position(px+vx,py+vy);
    }

    public void move(double delta)
    {
	set_position(px+vx*delta,py+vy*delta);
    }
}